--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: scanner has to return a string
full_name: RParsec::Keywords::new
is_singleton: true
name: new
params: (words, case_sensitive, default_lexer, keyword_symbol, &block)
visibility: public
